/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * Name:    m_epmtrd.h
 *
 * Purpose: Header for record support for EPICS mailbox motor database record.
 */

#ifndef __M_EPMTRD_H__
#define __M_EPMTRD_H__

typedef struct {
	MX_RECORD *motor_record;
	char epics_namestem[28];
} MX_EPICS_MAILBOX_MOTOR_DB;

MX_API mx_status_type mxm_epics_motor_db_initialize_type( long type );
MX_API mx_status_type mxm_epics_motor_db_create_record_structures(
                                                        MX_RECORD *record );
MX_API mx_status_type mxm_epics_motor_db_finish_record_initialization(
                                                        MX_RECORD *record );
MX_API mx_status_type mxm_epics_motor_db_delete_record( MX_RECORD *record );
MX_API mx_status_type mxm_epics_motor_db_read_parms_from_hardware(
                                                        MX_RECORD *record );
MX_API mx_status_type mxm_epics_motor_db_write_parms_to_hardware(
                                                        MX_RECORD *record );
MX_API mx_status_type mxm_epics_motor_db_open( MX_RECORD *record );
MX_API mx_status_type mxm_epics_motor_db_close( MX_RECORD *record );

extern MX_RECORD_FUNCTION_LIST mxm_epics_motor_db_record_function_list;

extern long mxm_epics_motor_db_num_record_fields;
extern MX_RECORD_FIELD_DEFAULTS *mxm_epics_motor_db_rfield_def_ptr;

#define MXM_EPICS_MOTOR_DB_STANDARD_FIELDS \
  {-1, -1, "motor_record", MXFT_RECORD, NULL, 0, {0}, \
	MXF_REC_TYPE_STRUCT, \
		offsetof(MX_EPICS_MAILBOX_MOTOR_DB, motor_record), \
	{0}, NULL, (MXFF_IN_DESCRIPTION | MXFF_IN_SUMMARY)}, \
  {-1, -1, "epics_namestem", MXFT_STRING, NULL, 1, {28}, \
	MXF_REC_TYPE_STRUCT, \
		offsetof(MX_EPICS_MAILBOX_MOTOR_DB, epics_namestem), \
	{sizeof(char)}, NULL, (MXFF_IN_DESCRIPTION | MXFF_IN_SUMMARY)}


#endif /* __M_EPMTRD_H__ */

