/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * mx_key.h --  MSDOS style keyboard handling functions.  
 *
 */

#if USE_KEY_CURSES

MX_API int mx_curses_getch( void );
MX_API int mx_curses_kbhit( void );

#define mx_getch	mx_curses_getch
#define mx_kbhit	mx_curses_kbhit

#else /* not USE_KEY_CURSES */

#ifdef OS_UNIX

MX_API int mx_unix_getch( void );
MX_API int mx_unix_kbhit( void );

#define mx_getch	mx_unix_getch
#define mx_kbhit	mx_unix_kbhit

#endif /* OS_UNIX */

#ifdef OS_WIN32

MX_API int mx_win32_getch( void );
MX_API int mx_win32_kbhit( void );

#define mx_getch	mx_win32_getch
#define mx_kbhit	mx_win32_kbhit

#endif /* OS_WIN32 */

#ifdef OS_MSDOS

MX_API int mx_msdos_getch( void );
MX_API int mx_msdos_kbhit( void );

#define mx_getch	mx_msdos_getch
#define mx_kbhit	mx_msdos_kbhit

#endif /* OS_MSDOS */

#endif /* not USE_KEY_CURSES */

#ifndef mx_getch
#error  "MX keyboard handling functions not defined for this operating system."
#endif

