/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * Name:    mx_lsthd.c
 *
 * Purpose: Minimal support for the "list head" record type.
 */

#include <stdio.h>

#include "mx_util.h"
#include "mx_rec.h"

MX_RECORD_FUNCTION_LIST mxr_list_head_record_function_list = {
	NULL, NULL, NULL, NULL, NULL, NULL,
	mxr_list_head_structure_fn,
	mxr_list_head_summary_fn,
	NULL, NULL, NULL, NULL };

MX_EXPORT mx_status_type
mxr_list_head_structure_fn( FILE *file, MX_RECORD *record )
{
	fprintf(file, "Record = '%s',  Type = Record list head.\n",
		record->name);

	return MX_SUCCESSFUL_RESULT;
}

MX_EXPORT mx_status_type
mxr_list_head_summary_fn( FILE *file, MX_RECORD *record )
{
	fprintf(file, "%-16s Record list head.\n", record->name);

	return MX_SUCCESSFUL_RESULT;
}
