/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/* mxconfig.h --- Header file for installation dependent definitions. */

#ifndef _MXCONFIG_H_
#define _MXCONFIG_H_

#if defined(OS_LINUX) || defined(OS_AIX) || defined(OS_SOLARIS2) \
 || defined(OS_SUNOS4) || defined(OS_SGI)

#define OS_UNIX
#endif

#if defined(OS_DOS_EXT_WATCOM) || defined(OS_DJGPP)

#define OS_MSDOS
#endif

/* ==== Operating system dependent parameters. ==== */

#ifdef OS_MSDOS
#  define USE_GETOPT			1

#  ifdef OS_DOS_EXT_WATCOM
#    define USE_FD_SET			0
#    define USE_TCPIP			0
#  elif OS_DJGPP
#    define USE_FD_SET			1
#    define USE_TCPIP			1
#  else
#    define USE_FD_SET			0
#    define USE_TCPIP			0
#  endif

#endif /* OS_MSDOS */

#ifdef OS_WIN32
#  define USE_FD_SET			1
#  define USE_GETOPT			1
#  define USE_TCPIP			1

#endif /* OS_WIN32 */

#ifdef OS_UNIX
#  define USE_FD_SET			1
#  define USE_GETOPT			1
#  define USE_TCPIP			1

#endif /* OS_UNIX */

/* ======== Software packages. ======== */

/* Readline is a package for command line editing that is only
 * available under Unix.  For Linux, this package is available in
 * most distributions.  However, for other versions of Unix, this
 * package usually must be obtained separately.
 */

#define HAVE_READLINE			1

/* It is possible under multitasking systems to have 
 * a pipe ( or equivalent ) to an invocation of 'gnuplot'
 * and have gnuplot plot a graph while a scan is in
 * progress.
 */

#define HAVE_GNUPLOT			1

/* Perl is used to allow the user to specify the function(s) that
 * gnuplot is to plot using Perl expressions.
 */

#define HAVE_PERL			1

/* ======== Hardware drivers. ======== */

/* The following devices use, in part, drivers that do not
 * come with the basic MX package, either because the
 * drivers are proprietary or because the drivers are
 * distributed by someone else.  For each case, we indicate
 * where the driver may be obtained from.
 */

/*
 * EPICS is a large experimental control system created originally
 * by Los Alamos National Laboratory and Argonne National Laboratory.
 * If you do not know what it is, set HAVE_EPICS to 0.
 */

#define HAVE_EPICS			0

/* Driver for National Intruments GPIB interface cards.
 *
 * The Linux version of the NI GPIB driver is available from the 
 * Linux Lab project (http://www.llp.fu-berlin.de/) at
 * http://www.llp.fu-berlin.de/pool/software/busses/
 */

#define HAVE_NI488			0

/* Driver for the National Intruments LabPC+ DAQ card under Linux _only_.
 *
 * Available from the Linux Lab project (http://www.llp.fu-berlin.de/)
 * at http://www.llp.fu-berlin.de/pool/software/daq-driver/
 */

#define HAVE_LABPC			0

/* Linux driver for performing hardware port I/O from user mode to
 * a restricted range of ports without requiring that the user mode
 * program be setuid root or setgid kmem.
 *
 * Available at the MX web site as portio-0.2.tar.gz
 */

#define HAVE_LINUX_PORTIO		0

/* Win32 driver for the EG&G Ortec Unified MCB Interface for 32 Bits
 * programmer's toolkit (Part # A11-B32) under Microsoft Windows 95.
 * Note that this driver does not support the 16 bit version of the MCB
 * interface software.
 */

#define HAVE_ORTEC_UMCBI		0

#endif /* _MXCONFIG_H_ */

