/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * Name:    p_gnuxaf.h
 *
 * Purpose: Header file for "gnuplot" plotting support of XAFS scans.
 */

typedef struct {
	FILE *pipe;
	MX_RECORD *energy_motor_record;
} MX_PLOT_GNUXAFS;

MX_API mx_status_type mxp_gnuxafs_open( MX_PLOT *plot );
MX_API mx_status_type mxp_gnuxafs_close( MX_PLOT *plot );
MX_API mx_status_type mxp_gnuxafs_add_measurement_to_plot( MX_PLOT *plot );
MX_API mx_status_type mxp_gnuxafs_set_x_range( MX_PLOT *plot,
					double x_min, double x_max );
MX_API mx_status_type mxp_gnuxafs_set_y_range( MX_PLOT *plot,
					double y_min, double y_max );
MX_API mx_status_type mxp_gnuxafs_start_plot_section( MX_PLOT *plot );

extern MX_PLOT_FUNCTION_LIST mxp_gnuxafs_function_list;

