/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * Name:    seg_reg.c
 *
 * Purpose: Scan description file for general segmented scan.
 */

#include <stdio.h>

#include "mx_util.h"
#include "mx_scan.h"
#include "mx_scseg.h"
#include "seg_reg.h"

/* Initialize the segmented scan driver jump table. */

MX_SEGMENTED_SCAN_FUNCTION_LIST mxs_region_scan_function_list = {
	mxs_region_scan_create_record_structures,
	mxs_region_scan_finish_record_initialization,
};

MX_RECORD_FIELD_DEFAULTS mxs_region_scan_defaults[] = {
	MX_RECORD_STANDARD_FIELDS,
	MX_SCAN_STANDARD_FIELDS,
	MX_SEGMENTED_SCAN_STANDARD_FIELDS
};

long mxs_region_scan_num_record_fields
			= sizeof( mxs_region_scan_defaults )
			/ sizeof( mxs_region_scan_defaults[0] );

MX_RECORD_FIELD_DEFAULTS *mxs_region_scan_def_ptr
			= &mxs_region_scan_defaults[0];

MX_EXPORT mx_status_type
mxs_region_scan_create_record_structures( MX_RECORD *record,
		MX_SCAN *scan, MX_SEGMENTED_SCAN *segmented_scan )
{
	return MX_SUCCESSFUL_RESULT;
}

MX_EXPORT mx_status_type
mxs_region_scan_finish_record_initialization( MX_RECORD *record )
{
	return MX_SUCCESSFUL_RESULT;
}

