/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * Name:    sxaf_std.h
 *
 * Purpose: Header file for standard XAFS scan.
 */

#ifndef __SXAF_STD_H__
#define __SXAF_STD_H__

typedef struct {
	int dummy;
} MX_XAFS_STANDARD_SCAN;

MX_API mx_status_type mxs_xafs_std_scan_create_record_structures(
	MX_RECORD *record, MX_SCAN *scan, MX_XAFS_SCAN *list_scan );
MX_API mx_status_type mxs_xafs_std_scan_finish_record_initialization(
						MX_RECORD *record );
MX_API mx_status_type mxs_xafs_std_scan_delete_record(
						MX_RECORD *record );

#if 0
extern MX_XAFS_SCAN_FUNCTION_LIST mxs_xafs_std_scan_function_list;
#endif

extern long mxs_xafs_std_scan_num_record_fields;
extern MX_RECORD_FIELD_DEFAULTS *mxs_xafs_std_scan_def_ptr;

#if 0
#define MX_XAFS_STANDARD_SCAN_STANDARD_FIELDS
#endif

#endif /* __SXAF_STD_H__ */

