/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/* cmd.h -- Command interpreter functions. */

#ifndef __CMD_H__
#define __CMD_H__

#define COMMAND_NAME_LENGTH	15

typedef struct {
	int (*function_ptr)( int argc, char *argv[] );
	int min_required_chars;
	char name[COMMAND_NAME_LENGTH + 1];
} COMMAND;

extern int cmd_execute_command_line( int num_commands,
				COMMAND *command_list, char *command_line );

extern COMMAND *cmd_get_command_from_list( int num_commands, 
				COMMAND *command_list, char *string );

extern char **cmd_parse_command_line( int *argc, char *command_line );

extern char *cmd_read_next_command_line( char *prompt );
extern int cmd_show_history_buffer( void );

extern char *cmd_program_name( void );

extern void cmd_set_program_name( char *name );

#endif /* __CMD_H__ */
